/* (C) Copyright 1998  Jed Margolin  All Rights Reserved */
/* Monitor Test Patterns */
/* mtable.h */

/* Menu Table */

#define NUM_ENTRIES	8
#define XM1		3
#define XM2		43

void pgm1(void),pgm2(void),pgm3(void),pgm4(void),pgm5(void),pgm6(void);
void pgm7(void),mexit(void);

struct tentry 
{
	int xpos;
	int ypos;		/* Menu Coordinates */
	char msg[80];		/* Menu Message */
	void (*pgm)();
};

struct tentry mtable[NUM_ENTRIES]=
{
	{ XM1, 6, "EXIT", mexit },
	{ XM1, 8, "Lissajous Pattern 1: VGA 640x350x4", pgm1 },
	{ XM1, 9, "Lissajous Pattern 2: VGA 640x350x4 (For Slow CPUs)", pgm2 },
	{ XM1, 10, "Color Bar Test Pattern #1: VGA 640x480x4", pgm3 },
	{ XM1, 11, "Color Bar Test Pattern #2: VGA 640x480x4", pgm4 },
	{ XM1, 12, "Cross Hatch Pattern: VGA 640x480x4", pgm5 },
	{ XM1, 13, "Dot Pattern: VGA 640x480x4", pgm6 },
	{ XM1, 14, "HV Regulation Test", pgm7 },

};
// --------------------------------------------------------------------------
struct dirstr
{
	int xpos;
	int ypos;		/* Message Coordinates */
	int color;
	char msg[80];		/* Message */
};

struct dirstr dirmsgs[18]=
{
	{ 3,1,MAGENTA,"Directions:" },
	{ 3,3,WHITE,"Lissajous Patterns" },
	{ 5,4,YELLOW,"<Rt Arrow> increases the phase rotation by a small amount." },
	{ 5,5,YELLOW,"<Lft Arrow> decreases the phase rotation by a small amount." },
	{ 5,6,YELLOW,"<Up Arrow> increases the phase rotation by an integer amount." },
	{ 5,7,YELLOW,"<Dn Arrow> decreases the phase rotation by an integer amount." },
	{ 5,8,YELLOW,"PgUp and PgDn change the color of the figure." },
	{ 5,9,YELLOW,"Ctl<PgUp> and Ctl<PgDn> change the color of the background." },
	{ 5,11,BROWN,"Lissajous Pattern 1 uses floating point and connects the points."},
	{ 5,12,BROWN,"Lissajous Pattern 2 does not use floating point and just puts out points."},
	{ 3,14,WHITE,"Color Bars #1 shows the combinations of Red, Green, and Blue." },
	{ 3,15,WHITE,"Color Bars #2 shows the standard 4 bit VGA color pallette." },
	{ 3,17,WHITE,"Crosshatch and Dot Patterns show how well the monitor is converged." },
	{ 5,18,YELLOW,"PgUp and PgDn change the color of grid lines or dots." },
	{ 5,19,YELLOW,"Ctl<PgUp> and Ctl<PgDn> change the color of the background." },
	{ 3,21,WHITE,"HV Test challenges the HV Regulation by changing the beam current." },
	{ 5,22,YELLOW,"PgUp and PgDn change the color of the grid lines." },
	{ 5,23,YELLOW,"Ctl<PgUp> and Ctl<PgDn> change the color of the background." },
};




